<!DOCTYPE html>
<html>
<head>
   <title>Patern 28</title>
</head>
<body>
   <script>
      var output;
      var jmlBaris = 10;
      var c = (jmlBaris/2)-1;
      var tempJmlBaris = 0;
      var frontSpace = c;
      var innerSapce = 0;
      var bottomStar = (jmlBaris*2)+1;
      for (let i = 0; i <= jmlBaris; i++) {
         var output = '';
         if (i < c) {
            if (i < jmlBaris) {
               for (let k = 0; k < frontSpace; k++) {
                  output = output + '&nbsp;';
                  
               }
               for (let j = 0; j <= tempJmlBaris; j++) {
                  if (j == 0) {
                     output = output + '*';
                  } else if (j == tempJmlBaris) {
                     for (let k = 0; k < innerSapce; k++) {
                        output = output + '&nbsp;';
                     }
                     output = output + '*';
                  } else {
                     output = output + '&nbsp;';
                     
                  }
               }
            }
            tempJmlBaris++;
            frontSpace--;
            innerSapce++;
         } else {
            
            if (i < jmlBaris) {
               for (let k = 0; k < frontSpace; k++) {
                  output = output + '&nbsp;';
                  
               }
               for (let j = 0; j <= tempJmlBaris; j++) {
                  if (j == 0) {
                     output = output + '*';
                  } else if (j == tempJmlBaris) {
                     for (let k = 0; k < innerSapce; k++) {
                        output = output + '&nbsp;';
                     }
                     output = output + '*';
                  } else {
                     output = output + '&nbsp;';
                     
                  }
               }
            }
            tempJmlBaris--;
            frontSpace++;
            innerSapce--
         }
         
         
         document.writeln(output);         
         document.writeln('<br>');
         
      }
   </script>
</body>
</html>